%define api 0.1
%define major 1
%define libname %mklibname abw %{api} %{major}
%define devname %mklibname abw -d

Summary:	A library for import of AbiWord files
Name:		libabw
Version:	0.1.0
Release:	2
License:	MPLv2.0
Group:		System/Libraries
Url:		http://www.freedesktop.org/wiki/Software/libabw/
Source0:	http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.bz2
BuildRequires:	doxygen
BuildRequires:	gperf
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libwpd-0.10)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zlib)

%description
%{name} is a library for import of AbiWord files.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for import of AbiWord files
Group:		System/Libraries

%description -n %{libname}
A library for import of AbiWord files.

%files -n %{libname}
%{_libdir}/libabw-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%doc ChangeLog
%{_includedir}/%{name}-%{api}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/libabw-%{api}.so

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains documentation files for %{name}.

%files doc
%doc COPYING.MPL
%doc docs/doxygen/html

#----------------------------------------------------------------------------

%package tools
Summary:	Tools to transform AbiWord files into other formats
Group:		Publishing

%description tools
Tools to transform AbiWord files into other formats. Currently
supported: XHTML, raw, text.

%files tools
%{_bindir}/abw2raw
%{_bindir}/abw2text
%{_bindir}/abw2html

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi

%configure2_5x \
	--disable-silent-rules \
	--disable-static \
	--disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

%install
%makeinstall_std

# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}


%changelog
* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.1.0-2
+ Revision: 24c5a2b
- Fix typo


